using Nancy;
using Nancy.Security;

namespace RaceLapTimer.Modules
{
    public class PilotModule:NancyModule
    {
        public PilotModule() : base("/pilot")
        {
            this.RequiresAuthentication();
            Get["/edit/{id}"] = args => EditPilot(args);
        }

        private dynamic EditPilot(dynamic args)
        {
            return View["EditPilot.cshtml", new {Id=args.id}];
        }
    }
}
